/*
 * Copyright 2008 Dan Furie and Scott Linderman
 */
//colors
// 12-bit color definitions
#define WHITE 0xFFF
#define BLACK 0x000
#define RED 0xF00
#define GREEN 0x0F0
#define BLUE 0x00F
#define CYAN 0x0FF
#define MAGENTA 0xF0F
#define YELLOW 0xFF0
#define BROWN 0xB22
#define ORANGE 0xFA0
#define PINK 0xF6A

//--------------------------------HEADERS----------------------------------
 void clearScreen(void);   //clears the screen
 void drawScreen(int numChoices, char* choices[]); //draws a generic screen
 void drawSave(void);
 void selectSave(char erase);
 //these methods draw various menu screens by calling drawScreen()            
 void drawMain(void);            
 void drawSetup(void);
 void drawStart(void);
 void drawAbout(void);
 void drawGenSettings(void);
 void drawShotType(void);
 void drawTakingShot(void);
 void drawDoneTakingShot(void);
 void drawProgress(char progress, char erase);
 //these methods draw screens which change parameters of the shot
 void drawExtendedExposure(void);
 void drawAudioTrigger(void);
 void drawAccelerometer(void);
 void drawPhotoTrigger(void);
 //these methods change the choice on the menu navigation  pages
 void clearChoice(int oldChoice);
 void drawChoice(int newChoice);
 //these change settings on the general settings page
 void drawGenSettingsChoice(int choice, char erase);
 void changeFlashTime(unsigned int flashTime);
 void changeNumShots(unsigned int numShots);
 //these change settings on the extended exposure page
 void drawExposureTimeChoice(int choice, char erase);
 void changeExposureTime(unsigned int seconds);
 //thes change  the analog meters on the other settings pages
 void drawAnalogMeter(void);
 void updateAnalogMeter(unsigned char val);
 void drawThresholdMarker(unsigned char thresh, char erase);
 void drawAnalogMeterChoice(int choice, unsigned char thresh, char erase);
 
#include "drawing.c"

